ghc-7.8.2: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell98

SPARC.Cond

Synopsis

- data Cond
  - = ALWAYS
  - | EQQ
  - | GE
  - | GEU
  - | GTT
  - | GU
  - | LE
  - | LEU
  - | LTT
  - | LU
  - | NE
  - | NEG
  - | NEVER
  - | POS
  - | VC
  - | VS
- condUnsigned :: Cond -> Bool
- condToSigned :: Cond -> Cond
- condToUnsigned :: Cond -> Cond

# Documentation

data Cond

Branch condition codes.

Constructors

ALWAYS |
EQQ |
GE |
GEU |
GTT |
GU |
LE |
LEU |
LTT |
LU |
NE |
NEG |
NEVER |
POS |
VC |
VS |

Instances

Eq Cond |

condUnsigned :: Cond -> Bool

condToSigned :: Cond -> Cond

condToUnsigned :: Cond -> Cond